import React from 'react';

const FhwsPage = () => {
	return (
		<div className="w-[1514px] h-[573px] bg-white mx-auto mt-10 flex">
			{/* 右侧烽火微视容器 */}
			<div className="w-[471px] h-full bg-white relative">
				{/* 标题部分 */}
				<div className="relative pt-6 pl-8">
					<h2 className="text-left text-[32px] font-bold text-[#005d93] mb-2">烽火微视</h2>
					{/* 蓝色装饰线 */}
					<div className="h-3 bg-[#005d93] w-full"></div>
				</div>

				{/* 视频列表 */}
				<div className="mt-8 pl-8 ">
					{/* 视频项1 */}
					<div className="mb-6 flex items-center mt-10">
						<span className="w-0 h-0 border-r-8 border-r-yellow-500 border-t-8 border-t-transparent border-l-8 border-l-transparent border-b-8 border-b-transparent mr-3"></span>
						<p className="text-left text-3xl font-bold ">岗位尖兵比武视频</p>
					</div>

					{/* 视频项2 */}
					<div className="mb-6 flex items-center mt-10">
						<span className="w-0 h-0 border-r-8 border-r-yellow-500 border-t-8 border-t-transparent border-l-8 border-l-transparent border-b-8 border-b-transparent mr-3"></span>
						<p className="text-left text-3xl font-bold ">晚会视频</p>
					</div>

					{/* 视频项3 */}
					<div className="mb-6 flex items-center mt-10">
						<span className="w-0 h-0 border-r-8 border-r-yellow-500 border-t-8 border-t-transparent border-l-8 border-l-transparent border-b-8 border-b-transparent mr-3"></span>
						<p className="text-left text-3xl font-bold ">退伍视频</p>
					</div>

					{/* 视频项4 */}
					<div className="mb-6 flex items-center mt-10">
						<span className="w-0 h-0 border-r-8 border-r-yellow-500 border-t-8 border-t-transparent border-l-8 border-l-transparent border-b-8 border-b-transparent mr-3"></span>
						<p className="text-left text-3xl font-bold ">共同科目尖兵比武视频</p>
					</div>
				</div>

				{/* 更多精彩按钮 */}
				<div className="absolute bottom-10 left-15">
					<button className="bg-gradient-to-b from-[#053E69] to-[#257BB6] text-white px-15 py-3 rounded-full text-2xl font-bold  hover:bg-[#357ABD] transition-colors">
						更多精彩
					</button>
				</div>
			</div>

			{/* 左侧图片/视频容器 */}
			<div
				className="w-[1043px] h-full bg-red-500 bg-cover bg-center relative"
				style={{
					clipPath: 'polygon(150px 0, 100% 0, calc(100% - 0px) 100%, 30px 100%)',
					backgroundImage: 'url(/header.png)',
				}}
			>
				{/* 右下角圆点指示器 */}
				<div className="absolute bottom-6 right-6 flex space-x-2">
					<div className="w-3 h-3 bg-blue-500 rounded-full"></div>
					<div className="w-3 h-3 bg-white rounded-full"></div>
					<div className="w-3 h-3 bg-white rounded-full"></div>
					<div className="w-3 h-3 bg-white rounded-full"></div>
				</div>
			</div>
		</div>
	);
};

export default FhwsPage;
