// apps/web/components/content/jcdt/jcdt/jcdtlist.tsx
import React from 'react';

const JcdtList: React.FC = () => {
	const publicNews = [
		{ title: '国务院办公厅印发《关于完善仲', date: '2018.06.21' },
		{ title: '国务院办公厅关于推进养老服务', date: '2016.11.03' },
		{ title: '《关于统筹推进自然资源资产产', date: '2018.11.27' },
		{ title: '中共中央印发《中国共产党党组工作条例》', date: '2018.01.31' },
		{ title: '国务院关于修改部分行政法规的决定', date: '2018.01.31' },
		{ title: '国务院关于落实《政府工作报告》', date: '2018.01.31' },
		{ title: '关于同意建立自然灾', date: '2018.01.31' },
		{ title: '国务院办公厅印发', date: '2018.01.31' },
        { title: '国务院关于落实《政府工作报告》', date: '2018.01.31' },
		{ title: '关于同意建立自然灾', date: '2018.01.31' },
	];
	return (
		<div className="w-[1514px] h-[464px]  mx-auto flex">
			{/* 这里可以添加内容 */}
			<div
				className="w-[640px] h-[464px] mr-5 bg-cover bg-center"
				style={{ backgroundImage: 'url(/header.png)', backgroundSize: '100% 100%', backgroundRepeat: 'no-repeat' }}
			></div>
			<div className="w-[854px] h-[464px] bg-[#0e93df] pt-8">
				{publicNews.map((item, index) => (
					<div key={index} className="flex items-center justify-between px-15 space-y-3">
						{/* 左侧圆点和标题 */}
						<div className="flex items-center flex-1">
							<div
								className="w-3 h-3 bg-white mr-1 flex-shrink-0"
								style={{ clipPath: 'polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%)' }}
							></div>
							<p className="text-[20px] text-white  flex-1">{item.title}</p>
						</div>
						{/* 右侧日期 */}
						<span className="text-[18px] text-white mr-5">{item.date}</span>
					</div>
				))}
			</div>
		</div>
	);
};

export default JcdtList;
