import JcdtList from './jcdtlist';
import FhjtPage from './fhjt';
import FhwsPage from './fhws';
import BqrxPage from './bqrx';
import Integrated from '../integ/Integrated';
const JcdtContainer = () => {
	return (
		<>
			<div className="w-full h-[60px] ml-1 relative">
				<p
					className="text-center absolute right-0 "
					style={{ color: '#005d93', fontSize: '32px', fontWeight: 'bold', marginRight: '255px' }}
				>
					基层动态
				</p>
				<div
					className="bg-[#0082e9] w-[1514px] h-[60px] flex justify-center items-center"
					style={{
						clipPath: 'polygon(0 0, calc(100% - 150px)1%, calc(100% - 30px) 100%, 0 100%)',
					}}
				></div>
			</div>
			<div
				className="bg-cover bg-center w-[1920px] h-[6000px] ml-1 pt-10"
				style={{ backgroundImage: 'url(/jcdt.png)' ,backgroundSize: '100% 100%', backgroundRepeat: 'no-repeat'}}
			>
				<JcdtList />
				<FhjtPage />
				<FhwsPage />
				<BqrxPage />
				<Integrated />
			</div>
		</>
	);	
};

export default JcdtContainer;
